Bug 82242 - upgrade to cups-1.1.17-0.2 breaks printing
upgrade to cups-1.1.17-0.2 breaks printing
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: cups (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-20 08:06 EST by Sarantis Paskalis
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-20 10:11:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the relevant log lines from cups/access.log after enabling LogLevel=debug (18.29 KB, application/octet-stream)
2003-01-20 08:07 EST, Sarantis Paskalis
no flags Details

  None (edit)
Description Sarantis Paskalis 2003-01-20 08:06:07 EST
Description of problem:

After upgrading to errata cups-1.1.17-0.2, the printing system stopped working.
The logs in /var/log/cups are like this:
I [20/Jan/2003:11:39:23 +0200] Listening to 0:631
I [20/Jan/2003:11:39:23 +0200] Configured for up to 100 clients.
I [20/Jan/2003:11:39:23 +0200] Allowing up to 10 client connections per host.
I [20/Jan/2003:11:39:23 +0200] LoadPPDs: Read "/etc/cups/ppds.dat", 3259 PPDs...
I [20/Jan/2003:11:39:25 +0200] LoadPPDs: No new or changed PPDs...
I [20/Jan/2003:12:19:22 +0200] Job 327 queued on 'hp4500n_postscript' by 'sarantis'.
I [20/Jan/2003:12:19:22 +0200] Started filter /usr/lib/cups/filter/pstops (PID
948) for job 327.
I [20/Jan/2003:12:19:22 +0200] Started filter /usr/lib/cups/filter/cupsomatic
(PID 949) for job 327.
I [20/Jan/2003:12:19:22 +0200] Started backend /usr/lib/cups/backend/socket (PID
950) for job 327.
E [20/Jan/2003:12:19:22 +0200] PID 949 stopped with status 22!
I [20/Jan/2003:12:19:22 +0200] Hint: Try setting the LogLevel to "debug" to find
out more.

After setting the LogLevel to debug, I got the attached info.


Version-Release number of selected component (if applicable):
cups-1.1.17-0.2

How reproducible:
Always

Steps to Reproduce:
1. Upgrade to cups-1.1.17-0.2
2. try to print a pdf document
3. cups fails

    
Additional info:

After I downgraded to cups-1.1.15-10 (as shipped by default in RH 8.0), printing
started working again
Comment 1 Sarantis Paskalis 2003-01-20 08:07:57 EST
Created attachment 89439 [details]
the relevant log lines from cups/access.log after enabling LogLevel=debug
Comment 2 Tim Waugh 2003-01-20 09:46:25 EST
Can't reproduce this here.  What does this say?:

ls -l /usr/lib/cups/filter/cupsomatic

And this?:

rpm -V foomatic
Comment 3 Sarantis Paskalis 2003-01-20 10:11:30 EST
Oops, my mistake.

Last week, I did some rpm-cleaning from stale rpms installed from over
2 years ago.  I thought foomatic was needed only by LPRng, so I removed it.  Now,
I think I did reinstall foomatic before downgrading cups, and it still did not
work, but then again maybe not.

Anyway, sorry for the inconvenience.

Sarantis

Note You need to log in before you can comment on or make changes to this bug.